%define realname	PerlIO-via-symlink

Name:		perl-%{realname}
Version:	0.05
Release:	2mdk
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl module that helps creating dynamic PerlIO layers
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildArch:      noarch

%description
PerlIO::via::dynamic is used for creating dynamic PerlIO layers.
It is useful when the behavior of the layer depends on variables.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.05-2mdk
- Do not ship empty dir

* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-1mdk
- 0.05

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.04-1mdk
- 0.04

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.03-1mdk
- 0.03

* Mon Aug 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.02-1mdk
- New version 0.02. Small specfile fixes.

* Thu Aug 05 2004 Michael Scherer <misc@mandrake.org> 0.01-1mdk
- First Mandrakelinux package
